registration(1)

NAME
registration - Rigid and affine registration

SYNOPSIS
registration ReferenceImage FloatingImage

DESCRIPTION
This program performs rigid and affine image registration using multi-resolution optimization of voxel-based image similarity measures.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Automation Options

--auto-multi-levels <integer>
    Automatic optimization and resolution parameter generation for <n> levels [Default: 0]

  Optimization settings

--exploration <double>, -e <double>
    Exploration [initial optimizer step size] [Default: 8]

--accuracy <double>, -a <double>
    Accuracy [final optimizer step size] [Default: 0.1]

--stepfactor <double>, -f <double>
    Factor for search step size reduction. Must be > 0.0 and < 1.0 [Default: 0.5]

--delta-f-threshold <double>
    Optional threshold to terminate optimization (level) if relative change of target function drops below this value. [Default: 0]

  Image resolution parameters

--sampling <double>, -s <double>
    Image sampling (finest resampled image resolution) [Default: 1]

--coarsest <double>
    Upper limit for image sampling in multiresolution hierarchy [Default: -1]

--omit-original-data
    Do not use original data in full resolution, omit final stage in multiresolution hierarchy, thus reducing computation time.

  Transformation parameters

--dofs <integer>[,<integer>,...]
    Add number of degrees of freedom [can be repeated]

--dofs-final <integer>[,<integer>,...]
    Add number of degrees of freedom for final level only [can be repeated]

--no-switch, -n
    Do not auto-switch reference and floating image for improved computational performance

--initxlate, -i
    Initialized transformation by translating floating image FOV center onto reference image FOV center

--initial <transformation-path>
    Initialize transformation from given path [Default: NONE]

--initial-is-inverse
    Invert initial transformation before initializing registration

  Image data

--registration-metric
    Registration metric for motion estimation by image-to-image registration. Supported values: "nmi", "mi", "cr", "msd", "ncc", where the default is "nmi", or use one of the following:

    --nmi
        Normalized Mutual Information metric [This is the default]

    --mi
        Standard Mutual Information metric

    --cr
        Correlation Ratio metric

    --msd
        Mean Squared Difference metric

    --ncc
        Normalized Cross Correlation metric

--match-histograms
    Match floating image histogram to reference image histogram.

  Reference Image Preprocessing

--class-ref <string>
    Data class: grey (default) or label [Default: NONE]

--pad-ref <double>
    Padding value [Default: disabled]

--thresh-min-ref <double>
    Minimum value truncation threshold [Default: disabled]

--thresh-max-ref <double>
    Maximum value truncation threshold [Default: disabled]

--prune-histogram-ref <integer>
    Number of bins for histogram-based pruning [Default: disabled]

--histogram-equalization-ref
    Apply histogram equalization

--sobel-filter-ref
    Apply Sobel edge detection filter

--crop-index-ref <string>
    Cropping region in pixel index coordinates [parsed as %d,%d,%d,%d,%d,%d for i0,j0,k0,i1,j1,k1] [Default: NONE]

--crop-world-ref <string>
    Cropping region in world coordinates [parsed as %f,%f,%f,%f,%f,%f for x0,y0,z0,x1,y1,z1] [Default: NONE]

  Floating Image Preprocessing

--class-flt <string>
    Data class: grey (default) or label [Default: NONE]

--pad-flt <double>
    Padding value [Default: disabled]

--thresh-min-flt <double>
    Minimum value truncation threshold [Default: disabled]

--thresh-max-flt <double>
    Maximum value truncation threshold [Default: disabled]

--prune-histogram-flt <integer>
    Number of bins for histogram-based pruning [Default: disabled]

--histogram-equalization-flt
    Apply histogram equalization

--sobel-filter-flt
    Apply Sobel edge detection filter

--crop-index-flt <string>
    Cropping region in pixel index coordinates [parsed as %d,%d,%d,%d,%d,%d for i0,j0,k0,i1,j1,k1] [Default: NONE]

--crop-world-flt <string>
    Cropping region in world coordinates [parsed as %f,%f,%f,%f,%f,%f for x0,y0,z0,x1,y1,z1] [Default: NONE]

  Output parameters

--outlist <string>, -o <string>
    Output path for final transformation [Default: NONE]

--out-matrix <string>
    Output path for final transformation in matrix format [Default: NONE]

--out-parameters <string>
    Output path for final transformation in plain parameter list format [Default: NONE]

--protocol <string>, -p <string>
    Optimization protocol output file name [Default: NONE]

--time <string>, -t <string>
    Computation time statistics output file name [Default: NONE]

  Import Results into Slicer

--out-itk <transformation-path>
    Output path for final transformation in ITK format [Default: NONE]

--write-reformatted <image-path>
    Write reformatted floating image. [Default: NONE]

  Image/Transformation Database

--db <string>
    Path to image/transformation database that should be updated with the new registration and/or reformatted image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.